package jp.co.cybec.laxide.wizards;

import org.eclipse.core.resources.IResourceDelta;
import org.eclipse.core.resources.IResourceDeltaVisitor;
import org.eclipse.core.runtime.CoreException;

/**
 * ビジタークラス ファイル名：LetsAjaxDeltaVisitor.java
 * 
 * @author nakamura 作成時刻：10:39:16
 * 
 */
public class LetsAjaxDeltaVisitor implements IResourceDeltaVisitor {

	public boolean visit(IResourceDelta delta) throws CoreException {

		int kind = delta.getKind();
		if (kind == IResourceDelta.ADDED || kind == IResourceDelta.CHANGED) {
			// ここでビルド対象に対してバリデーションをかける
		}
		// (仮に正常終了を返す)
		return true;
	}
}